<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'AllSubjects' }) %>
<body>
    <%- include('partials/navbar.ejs') %>
    <main>

        <div class="row">

            <div class="col-md-2">
                <h1>Subjects</h1>
            </div>
            
            <div class="col-md-2">
                <% if (payload.username) { %>
                    <a class="btn btn-outline-dark " href="/showJustLoggedInTeacherSubjects">
                        My Subjects
                    </a>
                <% } %>
            </div>
        </div>

        <div id="container">
            <% if (subjects.length === 0) { %>
                <div class = "subjects">
                    No subjects in the database
                </div>
            <% } %>
            <div class="row">
                <% subjects.forEach((subject) => { %>
                    <div class = "col-md-3 subjects">
                        
                        <div class="row">
                            <div class="col-md-9">
                                <h2><%= subject.subjectid %> </h2>     
                            </div>
                            <div class="col-md-3">
                                <% if (payload.username === subject.teacherUsername || payload.userRole === 1) { %>
                                    <a class="btn btn-warning" href="/editSubject/getEditSubject?subjectId=<%= subject.subjectid %>">
                                        Edit
                                    </a>
                                <% } %>
                            </div>
                        </div>
                        <b>Subject Name: </b> <%= subject.subjectname %><br>
                        <b>Grade: </b> <%= subject.grade %><br>
                        <b>Number Of Courses: </b> <%= subject.course %> <br>
                        <b>Number Of Seminars: </b> <%= subject.seminar %> <br>
                        <b>Number Of Labors: </b> <%= subject.labor %> <br>
                        <b>Teacher: </b> <%= subject.teacherUsername %> <br>
                        <a class="btn btn-outline-dark" href="/subjectDetail/subject_detail?subjectId=<%= subject.subjectid %>">Details</a>
                        <a class="btn btn-outline-dark" href="#" onclick="loadPdfs('<%= subject.subjectid %>')">Load Pdfs</a> <br>
                        <div id="showPdfs<%= subject.subjectid %>"></div> 
                    </div>
                <% }) %>
            </div>
        </div>
    </main>
    <script src="/showsubjects.js"></script>
</body>
</html>